//
//  Item+CoreDataProperties.swift
//  Groceries
//
//  Created by Tim Roadley on 7/10/2015.
//  Copyright © 2015 Tim Roadley. All rights reserved.
//
//  Choose "Create NSManagedObject Subclass…" from the Core Data editor menu
//  to delete and recreate this implementation file for your updated model.
//

import Foundation
import CoreData

extension Item {

    @NSManaged var collected: NSNumber?
    @NSManaged var listed: NSNumber?
    @NSManaged var modified: NSDate?
    @NSManaged var name: String?
    @NSManaged var quantity: NSNumber?
    @NSManaged var thumbnail: NSData?
    @NSManaged var locationAtHome: LocationAtHome?
    @NSManaged var locationAtShop: LocationAtShop?
    @NSManaged var photo: Item_Photo?
    @NSManaged var unit: Unit?

    @NSManaged var group: String?
    @NSManaged var groupKey: String?
    @NSManaged var cacheID: String?
    @NSManaged var cacheStatus: NSNumber?
}
