//
//  GenericVC.swift
//  Groceries
//
//  Created by Tim Roadley on 29/09/2015.
//  Copyright © 2015 Tim Roadley. All rights reserved.
//

import UIKit
import CoreData

class GenericVC: UIViewController {
    
    var  segueObject:NSManagedObject?
    var  selectedObject:NSManagedObject? {
    
        if let object = self.segueObject {
            return object
        }
        self.done()
        return nil
    }

    func done () {
        self.navigationController?.popViewControllerAnimated(true)
    }
   
    func hideKeyboard () {
        self.view.endEditing(true)
    }
    
    func hideKeyboardWhenBackgroundIsTapped () {
        let tgr = UITapGestureRecognizer(target: self, action:Selector("hideKeyboard"))
        self.view.addGestureRecognizer(tgr)
    }    
}
